Page MenuHomeFreeBSD
Paste P383

x11-wm/hikari: 1.1.0 error on 11.3 armv6
ActivePublic

Authored by jbeich on May 1 2020, 6:37 PM.
=>> Building x11-wm/hikari
build started at Fri May 1 14:10:28 EDT 2020
port directory: /usr/ports/x11-wm/hikari
package name: hikari-1.1.0
building for: FreeBSD 113armv6-default-job-01 11.3-RELEASE-p1 FreeBSD 11.3-RELEASE-p1 1103000 arm
maintained by: ports@xanderio.de
Makefile ident:
Poudriere version: 3.3.99.20200326
Host OSVERSION: 1300092
Jail OSVERSION: 1103000
Job Id: 01
---Begin Environment---
POUDRIEREPATH=/usr/local/bin/poudriere
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
OLDPWD=/poudriere/data/.m/113armv6-default/ref/.p
SCRIPTPREFIX=/usr/local/share/poudriere
MASTERNAME=113armv6-default
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
NO_WARNING_PKG_INSTALL_EOL=yes
OUTPUT_REDIRECTED_STDOUT=3
PWD=/poudriere/data/.m/113armv6-default/ref/.p/pool
UID=0
OUTPUT_REDIRECTED=1
OUTPUT_REDIRECTED_STDERR=4
GID=0
SAVED_TERM=tmux-256color
PACKAGE_BUILDING=yes
POUDRIERE_BUILD_TYPE=bulk
LC_COLLATE=C
DEV_WARNING_WAIT=0
MASTERMNT=/poudriere/data/.m/113armv6-default/ref
POUDRIERE_VERSION=3.3.99.20200326
LIBEXECPREFIX=/usr/local/libexec/poudriere
USER=root
QEMU_EMULATING=1
LOCALBASE=/usr/local
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
HOME=/root
STATUS=1
WARNING_WAIT=0
MAIL=/var/mail/root
BLOCKSIZE=K
UNAME_r=11.3-RELEASE-p1
UNAME_v=FreeBSD 11.3-RELEASE-p1 1103000
OSVERSION=1103000
ABI_FILE=/usr/lib/crt1.o
UNAME_m=arm
UNAME_p=armv6
SHELL=/bin/csh
---End Environment---
---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---
---Begin OPTIONS List---
===> The following configuration options are available for hikari-1.1.0:
EXAMPLES=on: Build and/or install examples
GAMMA=on: Include gammacontrol protocol (required by, e.g., Redshift)
LAYERSHELL=on: Include layer_shell protocol (required by, e.g., waybar)
SCREENCOPY=on: Include screenshot protocol (required by, e.g., grim)
SUID=on: Setuid bit on binaries (required for DRM and PAM)
X11=on: X11 (graphics) support
===> Use 'make config' to modify these settings
---End OPTIONS List---
--MAINTAINER--
ports@xanderio.de
--End MAINTAINER--
--CONFIGURE_ARGS--
--End CONFIGURE_ARGS--
--CONFIGURE_ENV--
PKG_CONFIG=pkgconf XDG_DATA_HOME=/wrkdirs/usr/ports/x11-wm/hikari/work XDG_CONFIG_HOME=/wrkdirs/usr/ports/x11-wm/hikari/work HOME=/wrkdirs/usr/ports/x11-wm/hikari/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/x11-wm/hikari/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8
--End CONFIGURE_ENV--
--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/x11-wm/hikari/work XDG_CONFIG_HOME=/wrkdirs/usr/ports/x11-wm/hikari/work HOME=/wrkdirs/usr/ports/x11-wm/hikari/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/x11-wm/hikari/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 PREFIX=/usr/local LOCALBASE=/usr/local CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing " CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS="" LDFLAGS=" -fstack-protector-strong " LIBS="" CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing " MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install -s -m 555" BSD_INSTALL_LIB="install -s -m 0644" BSD_INSTALL_SCRIPT="install -m 555" BSD_INSTALL_DATA="install -m 0644" BSD_INSTALL_MAN="install -m 444"
--End MAKE_ENV--
--PLIST_SUB--
PORTEXAMPLES="" GTK2_VERSION="2.10.0" GTK3_VERSION="3.0.0" OSREL=11.3 PREFIX=%D LOCALBASE=/usr/local RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/hikari" EXAMPLESDIR="share/examples/hikari" DATADIR="share/hikari" WWWDIR="www/hikari" ETCDIR="etc/hikari"
--End PLIST_SUB--
--SUB_LIST--
COMMENT="Stacking Wayland compositor with tiling capabilities" PREFIX=/usr/local LOCALBASE=/usr/local DATADIR=/usr/local/share/hikari DOCSDIR=/usr/local/share/doc/hikari EXAMPLESDIR=/usr/local/share/examples/hikari WWWDIR=/usr/local/www/hikari ETCDIR=/usr/local/etc/hikari
--End SUB_LIST--
---Begin make.conf---
DEV_WARNING_WAIT=0
#NO_IGNORE=
# Minimize TeX dependency
devel_doxygen_UNSET += DOCS LATEX
# Bootstrapping isn't necessary for modern compilers and prevents taking
# advantage of native-xtools. GCC < 6 aren't C++11-compatible while
# Clang >= 6 and GCC >= 6 default to C++14.
lang_gcc6_UNSET += BOOTSTRAP
lang_gcc7_UNSET += BOOTSTRAP
lang_gcc8_UNSET += BOOTSTRAP
lang_gcc9_UNSET += BOOTSTRAP
# Workaround GCC/qemu crashes
.if ${MACHINE:Marm*}
math_ceres-solver_UNSET += OPENMP
graphics_colmap_UNSET += OPENMP
.endif
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
FORCE_PACKAGE=yes
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
DEV_WARNING_WAIT=0
#NO_IGNORE=
# Minimize TeX dependency
devel_doxygen_UNSET += DOCS LATEX
# Bootstrapping isn't necessary for modern compilers and prevents taking
# advantage of native-xtools. GCC < 6 aren't C++11-compatible while
# Clang >= 6 and GCC >= 6 default to C++14.
lang_gcc6_UNSET += BOOTSTRAP
lang_gcc7_UNSET += BOOTSTRAP
lang_gcc8_UNSET += BOOTSTRAP
lang_gcc9_UNSET += BOOTSTRAP
# Workaround GCC/qemu crashes
.if ${MACHINE:Marm*}
math_ceres-solver_UNSET += OPENMP
graphics_colmap_UNSET += OPENMP
.endif
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_9d218390=FreeBSD clang version 8.0.0 (tags/RELEASE_800/final 356365) (based on LLVM 8.0.0) Target: armv6-unknown-freebsd11.3-gnueabihf Thread model: posix InstalledDir: /nxb-bin/usr/bin
_ALTCCVERSION_9d218390=none
_CXXINTERNAL_9c45a5b1=FreeBSD clang version 8.0.0 (tags/RELEASE_800/final 356365) (based on LLVM 8.0.0) Target: armv6-unknown-freebsd11.3-gnueabihf Thread model: posix InstalledDir: /nxb-bin/usr/bin "/nxb-bin/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_9d218390_58173849=yes
CC_OUTPUT_9d218390_9bdba57c=yes
CC_OUTPUT_9d218390_6a4fe7f5=yes
CC_OUTPUT_9d218390_6bcac02b=yes
CC_OUTPUT_9d218390_67d20829=yes
CC_OUTPUT_9d218390_bfa62e83=yes
CC_OUTPUT_9d218390_f0b4d593=yes
CC_OUTPUT_9d218390_308abb44=yes
CC_OUTPUT_9d218390_f00456e5=yes
CC_OUTPUT_9d218390_65ad290d=yes
CC_OUTPUT_9d218390_f2776b26=yes
CC_OUTPUT_9d218390_b2657cc3=yes
CC_OUTPUT_9d218390_380987f7=yes
CC_OUTPUT_9d218390_160933ec=yes
CC_OUTPUT_9d218390_fb62803b=yes
_OBJC_CCVERSION_9d218390=FreeBSD clang version 8.0.0 (tags/RELEASE_800/final 356365) (based on LLVM 8.0.0) Target: armv6-unknown-freebsd11.3-gnueabihf Thread model: posix InstalledDir: /nxb-bin/usr/bin
_OBJC_ALTCCVERSION_9d218390=none
ARCH=armv6
OPSYS=FreeBSD
_OSRELEASE=11.3-RELEASE-p1
OSREL=11.3
OSVERSION=1103000
PYTHONBASE=/usr/local
_SMP_CPUS=8
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
--Resource limits--
cpu time (seconds, -t) unlimited
file size (512-blocks, -f) unlimited
data seg size (kbytes, -d) 33554432
stack size (kbytes, -s) 524288
core file size (512-blocks, -c) unlimited
max memory size (kbytes, -m) unlimited
locked memory (kbytes, -l) unlimited
max user processes (-u) 63536
open files (-n) 1024
virtual mem size (kbytes, -v) unlimited
swap limit (kbytes, -w) unlimited
socket buffer size (bytes, -b) unlimited
pseudo-terminals (-p) unlimited
kqueues (-k) unlimited
umtx shared locks (-o) unlimited
--End resource limits--
=======================<phase: check-sanity >============================
===> License BSD2CLAUSE accepted by the user
===========================================================================
=======================<phase: pkg-depends >============================
===> hikari-1.1.0 depends on file: /usr/local/sbin/pkg - not found
===> Installing existing package /packages/All/pkg-1.14.4.txz
[113armv6-default-job-01] Installing pkg-1.14.4...
[113armv6-default-job-01] Extracting pkg-1.14.4: .......... done
===> hikari-1.1.0 depends on file: /usr/local/sbin/pkg - found
===> Returning to build of hikari-1.1.0
===========================================================================
=======================<phase: fetch-depends >============================
===========================================================================
=======================<phase: fetch >============================
===> License BSD2CLAUSE accepted by the user
===> hikari-1.1.0 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by hikari-1.1.0 for building
===========================================================================
=======================<phase: checksum >============================
===> License BSD2CLAUSE accepted by the user
===> hikari-1.1.0 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by hikari-1.1.0 for building
=> SHA256 Checksum OK for hikari-1.1.0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract >============================
===> License BSD2CLAUSE accepted by the user
===> hikari-1.1.0 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by hikari-1.1.0 for building
===> Extracting for hikari-1.1.0
=> SHA256 Checksum OK for hikari-1.1.0.tar.gz.
===========================================================================
=======================<phase: patch-depends >============================
===========================================================================
=======================<phase: patch >============================
===> Patching for hikari-1.1.0
===========================================================================
=======================<phase: build-depends >============================
===> hikari-1.1.0 depends on package: evdev-proto>0 - not found
===> Installing existing package /packages/All/evdev-proto-5.3.txz
pkg-static: Warning: Major OS version upgrade detected. Running "pkg bootstrap -f" recommended
[113armv6-default-job-01] Installing evdev-proto-5.3...
[113armv6-default-job-01] Extracting evdev-proto-5.3: ....... done
===> hikari-1.1.0 depends on package: evdev-proto>0 - found
===> Returning to build of hikari-1.1.0
===> hikari-1.1.0 depends on package: wayland-protocols>=1.14 - not found
===> Installing existing package /packages/All/wayland-protocols-1.20.txz
pkg-static: Warning: Major OS version upgrade detected. Running "pkg bootstrap -f" recommended
[113armv6-default-job-01] Installing wayland-protocols-1.20...
[113armv6-default-job-01] Extracting wayland-protocols-1.20: .......... done
===> hikari-1.1.0 depends on package: wayland-protocols>=1.14 - found
===> Returning to build of hikari-1.1.0
===> hikari-1.1.0 depends on package: wlroots>=0.9.0<0.11.0 - not found
===> Installing existing package /packages/All/wlroots-0.10.1.txz
pkg-static: Warning: Major OS version upgrade detected. Running "pkg bootstrap -f" recommended
[113armv6-default-job-01] Installing wlroots-0.10.1...
[113armv6-default-job-01] `-- Installing libX11-1.6.9_1,1...
[113armv6-default-job-01] | `-- Installing libXau-1.0.9...
[113armv6-default-job-01] | `-- Extracting libXau-1.0.9: .......... done
[113armv6-default-job-01] | `-- Installing libXdmcp-1.1.3...
[113armv6-default-job-01] | | `-- Installing xorgproto-2020.1...
[113armv6-default-job-01] | | `-- Extracting xorgproto-2020.1: .......... done
[113armv6-default-job-01] | `-- Extracting libXdmcp-1.1.3: ......... done
[113armv6-default-job-01] | `-- Installing libxcb-1.13.1...
[113armv6-default-job-01] | | `-- Installing libpthread-stubs-0.4...
[113armv6-default-job-01] | | `-- Extracting libpthread-stubs-0.4: .... done
[113armv6-default-job-01] | | `-- Installing libxml2-2.9.10...
[113armv6-default-job-01] | | `-- Extracting libxml2-2.9.10: .......... done
[113armv6-default-job-01] | `-- Extracting libxcb-1.13.1: .......... done
[113armv6-default-job-01] `-- Extracting libX11-1.6.9_1,1: .......... done
[113armv6-default-job-01] `-- Installing libdrm-2.4.100,1...
[113armv6-default-job-01] | `-- Installing libpciaccess-0.16...
[113armv6-default-job-01] | | `-- Installing pciids-20200324...
[113armv6-default-job-01] | | `-- Extracting pciids-20200324: ..... done
[113armv6-default-job-01] | `-- Extracting libpciaccess-0.16: ......... done
[113armv6-default-job-01] `-- Extracting libdrm-2.4.100,1: .......... done
[113armv6-default-job-01] `-- Installing libinput-1.15.5...
[113armv6-default-job-01] | `-- Installing libepoll-shim-0.0.20200223...
[113armv6-default-job-01] | `-- Extracting libepoll-shim-0.0.20200223: .......... done
[113armv6-default-job-01] | `-- Installing libevdev-1.5.9_1...
[113armv6-default-job-01] | `-- Extracting libevdev-1.5.9_1: .......... done
[113armv6-default-job-01] | `-- Installing libmtdev-1.1.5_2...
[113armv6-default-job-01] | `-- Extracting libmtdev-1.1.5_2: .......... done
[113armv6-default-job-01] | `-- Installing libudev-devd-0.4.2...
[113armv6-default-job-01] | `-- Extracting libudev-devd-0.4.2: ........ done
[113armv6-default-job-01] | `-- Installing libwacom-1.3...
[113armv6-default-job-01] | | `-- Installing gettext-runtime-0.20.2...
[113armv6-default-job-01] | | `-- Installing indexinfo-0.3.1...
[113armv6-default-job-01] | | `-- Extracting indexinfo-0.3.1: .... done
[113armv6-default-job-01] | | `-- Extracting gettext-runtime-0.20.2: .......... done
[113armv6-default-job-01] | | `-- Installing glib-2.56.3_7,1...
[113armv6-default-job-01] | | `-- Installing libffi-3.2.1_3...
[113armv6-default-job-01] | | `-- Extracting libffi-3.2.1_3: .......... done
[113armv6-default-job-01] | | `-- Installing libiconv-1.14_11...
[113armv6-default-job-01] | | `-- Extracting libiconv-1.14_11: .......... done
[113armv6-default-job-01] | | `-- Installing pcre-8.43_2...
[113armv6-default-job-01] | | `-- Extracting pcre-8.43_2: .......... done
[113armv6-default-job-01] | | `-- Installing python37-3.7.7...
[113armv6-default-job-01] | | | `-- Installing readline-8.0.4...
[113armv6-default-job-01] | | | `-- Extracting readline-8.0.4: .......... done
[113armv6-default-job-01] | | `-- Extracting python37-3.7.7: .......... done
[113armv6-default-job-01] | | `-- Extracting glib-2.56.3_7,1: .......... done
No schema files found: doing nothing.
[113armv6-default-job-01] | | `-- Installing libgudev-230_1...
[113armv6-default-job-01] | | `-- Extracting libgudev-230_1: .......... done
[113armv6-default-job-01] | `-- Extracting libwacom-1.3: .......... done
[113armv6-default-job-01] | `-- Installing py37-evdev-0.8.1_1...
[113armv6-default-job-01] | | `-- Installing py37-setuptools-44.0.0...
[113armv6-default-job-01] | | `-- Extracting py37-setuptools-44.0.0: .......... done
[113armv6-default-job-01] | `-- Extracting py37-evdev-0.8.1_1: .......... done
[113armv6-default-job-01] | `-- Installing py37-pyudev-0.22.0...
[113armv6-default-job-01] | | `-- Installing py37-six-1.14.0...
[113armv6-default-job-01] | | `-- Extracting py37-six-1.14.0: .......... done
[113armv6-default-job-01] | `-- Extracting py37-pyudev-0.22.0: .......... done
[113armv6-default-job-01] `-- Extracting libinput-1.15.5: .......... done
[113armv6-default-job-01] `-- Installing libxkbcommon-0.10.0_2...
[113armv6-default-job-01] | `-- Installing xkeyboard-config-2.29...
[113armv6-default-job-01] | `-- Extracting xkeyboard-config-2.29: .......... done
[113armv6-default-job-01] `-- Extracting libxkbcommon-0.10.0_2: .......... done
[113armv6-default-job-01] `-- Installing mesa-dri-19.0.8...
[113armv6-default-job-01] | `-- Installing expat-2.2.8...
[113armv6-default-job-01] | `-- Extracting expat-2.2.8: .......... done
[113armv6-default-job-01] | `-- Installing libXdamage-1.1.5...
[113armv6-default-job-01] | | `-- Installing libXfixes-5.0.3_2...
[113armv6-default-job-01] | | `-- Extracting libXfixes-5.0.3_2: .......... done
[113armv6-default-job-01] | `-- Extracting libXdamage-1.1.5: ......... done
[113armv6-default-job-01] | `-- Installing libXext-1.3.4,1...
[113armv6-default-job-01] | `-- Extracting libXext-1.3.4,1: .......... done
[113armv6-default-job-01] | `-- Installing libXv-1.0.11_2,1...
[113armv6-default-job-01] | `-- Extracting libXv-1.0.11_2,1: .......... done
[113armv6-default-job-01] | `-- Installing libXvMC-1.0.12...
[113armv6-default-job-01] | `-- Extracting libXvMC-1.0.12: .......... done
[113armv6-default-job-01] | `-- Installing libxshmfence-1.3_1...
[113armv6-default-job-01] | `-- Extracting libxshmfence-1.3_1: ......... done
[113armv6-default-job-01] | `-- Installing llvm90-9.0.1_1...
[113armv6-default-job-01] | | `-- Installing libedit-3.1.20191231,1...
[113armv6-default-job-01] | | `-- Extracting libedit-3.1.20191231,1: .......... done
[113armv6-default-job-01] | | `-- Installing perl5-5.30.2...
[113armv6-default-job-01] | | `-- Extracting perl5-5.30.2: .......... done
[113armv6-default-job-01] | `-- Extracting llvm90-9.0.1_1: .......... done
[113armv6-default-job-01] | `-- Installing mesa-libs-19.0.8...
[113armv6-default-job-01] | | `-- Installing libXxf86vm-1.1.4_3...
[113armv6-default-job-01] | | `-- Extracting libXxf86vm-1.1.4_3: .......... done
[113armv6-default-job-01] | | `-- Installing wayland-1.18.0_3...
[113armv6-default-job-01] | | `-- Extracting wayland-1.18.0_3: .......... done
[113armv6-default-job-01] | `-- Extracting mesa-libs-19.0.8: .......... done
[113armv6-default-job-01] `-- Extracting mesa-dri-19.0.8: ........ done
[113armv6-default-job-01] `-- Installing pixman-0.38.4...
[113armv6-default-job-01] `-- Extracting pixman-0.38.4: .......... done
[113armv6-default-job-01] `-- Installing xcb-util-errors-1.0...
[113armv6-default-job-01] `-- Extracting xcb-util-errors-1.0: ......... done
[113armv6-default-job-01] `-- Installing xcb-util-wm-0.4.1_3...
[113armv6-default-job-01] | `-- Installing xcb-util-0.4.0_2,1...
[113armv6-default-job-01] | `-- Extracting xcb-util-0.4.0_2,1: .......... done
[113armv6-default-job-01] `-- Extracting xcb-util-wm-0.4.1_3: .......... done
[113armv6-default-job-01] `-- Installing xwayland-devel-1.20.0.641_1...
[113armv6-default-job-01] | `-- Installing libXfont2-2.0.4...
[113armv6-default-job-01] | | `-- Installing freetype2-2.10.1...
[113armv6-default-job-01] | | `-- Extracting freetype2-2.10.1: .......... done
[113armv6-default-job-01] | | `-- Installing libfontenc-1.1.4...
[113armv6-default-job-01] | | `-- Extracting libfontenc-1.1.4: ......... done
[113armv6-default-job-01] | `-- Extracting libXfont2-2.0.4: .......... done
[113armv6-default-job-01] | `-- Installing libepoxy-1.5.4...
[113armv6-default-job-01] | `-- Extracting libepoxy-1.5.4: .......... done
[113armv6-default-job-01] | `-- Installing libxkbfile-1.1.0...
[113armv6-default-job-01] | `-- Extracting libxkbfile-1.1.0: .......... done
[113armv6-default-job-01] | `-- Installing xkbcomp-1.4.3...
[113armv6-default-job-01] | `-- Extracting xkbcomp-1.4.3: ...... done
[113armv6-default-job-01] `-- Extracting xwayland-devel-1.20.0.641_1: .... done
[113armv6-default-job-01] Extracting wlroots-0.10.1: .......... done
=====
Message from python37-3.7.7:
--
Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:
py37-gdbm databases/py-gdbm@py37
py37-sqlite3 databases/py-sqlite3@py37
py37-tkinter x11-toolkits/py-tkinter@py37
=====
Message from libxkbcommon-0.10.0_2:
--
If arrow keys don't work under X11 switch to legacy rules e.g.,
For sh/bash/ksh/zsh run and (optionally) add into ~/.profile:
export XKB_DEFAULT_RULES=xorg
For csh/tcsh run and (optionally) add into ~/.login:
setenv XKB_DEFAULT_RULES xorg
=====
Message from perl5-5.30.2:
--
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:
#!/usr/local/bin/perl
or
#!/usr/bin/env perl
The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
=====
Message from freetype2-2.10.1:
--
The 2.7.x series now uses the new subpixel hinting mode (V40 port's option) as
the default, emulating a modern version of ClearType. This change inevitably
leads to different rendering results, and you might change port's options to
adapt it to your taste (or use the new "FREETYPE_PROPERTIES" environment
variable).
The environment variable "FREETYPE_PROPERTIES" can be used to control the
driver properties. Example:
FREETYPE_PROPERTIES=truetype:interpreter-version=35 \
cff:no-stem-darkening=1 \
autofitter:warping=1
This allows to select, say, the subpixel hinting mode at runtime for a given
application.
If LONG_PCF_NAMES port's option was enabled, the PCF family names may include
the foundry and information whether they contain wide characters. For example,
"Sony Fixed" or "Misc Fixed Wide", instead of "Fixed". This can be disabled at
run time with using pcf:no-long-family-names property, if needed. Example:
FREETYPE_PROPERTIES=pcf:no-long-family-names=1
How to recreate fontconfig cache with using such environment variable,
if needed:
# env FREETYPE_PROPERTIES=pcf:no-long-family-names=1 fc-cache -fsv
The controllable properties are listed in the section "Controlling FreeType
Modules" in the reference's table of contents
(/usr/local/share/doc/freetype2/reference/site/index.html, if documentation was installed).
===> hikari-1.1.0 depends on package: wlroots>=0.9.0<0.11.0 - found
===> Returning to build of hikari-1.1.0
===> hikari-1.1.0 depends on package: pkgconf>=1.3.0_1 - not found
===> Installing existing package /packages/All/pkgconf-1.6.3,1.txz
pkg-static: Warning: Major OS version upgrade detected. Running "pkg bootstrap -f" recommended
[113armv6-default-job-01] Installing pkgconf-1.6.3,1...
[113armv6-default-job-01] Extracting pkgconf-1.6.3,1: .......... done
===> hikari-1.1.0 depends on package: pkgconf>=1.3.0_1 - found
===> Returning to build of hikari-1.1.0
===> hikari-1.1.0 depends on file: /usr/local/libdata/pkgconfig/pixman-1.pc - found
===========================================================================
=======================<phase: lib-depends >============================
===> hikari-1.1.0 depends on shared library: libepoll-shim.so - found (/usr/local/lib/libepoll-shim.so)
===> hikari-1.1.0 depends on shared library: libinput.so - found (/usr/local/lib/libinput.so)
===> hikari-1.1.0 depends on shared library: libucl.so - not found
===> Installing existing package /packages/All/libucl-0.8.1.txz
pkg-static: Warning: Major OS version upgrade detected. Running "pkg bootstrap -f" recommended
[113armv6-default-job-01] Installing libucl-0.8.1...
[113armv6-default-job-01] Extracting libucl-0.8.1: .......... done
===> hikari-1.1.0 depends on shared library: libucl.so - found (/usr/local/lib/libucl.so)
===> Returning to build of hikari-1.1.0
===> hikari-1.1.0 depends on shared library: libwayland-server.so - found (/usr/local/lib/libwayland-server.so)
===> hikari-1.1.0 depends on shared library: libwlroots.so - found (/usr/local/lib/libwlroots.so)
===> hikari-1.1.0 depends on shared library: libxkbcommon.so - found (/usr/local/lib/libxkbcommon.so)
===> hikari-1.1.0 depends on shared library: libcairo.so - not found
===> Installing existing package /packages/All/cairo-1.16.0,2.txz
pkg-static: Warning: Major OS version upgrade detected. Running "pkg bootstrap -f" recommended
[113armv6-default-job-01] Installing cairo-1.16.0,2...
[113armv6-default-job-01] `-- Installing fontconfig-2.13.92_1,1...
[113armv6-default-job-01] `-- Extracting fontconfig-2.13.92_1,1: .......... done
Running fc-cache to build fontconfig cache...
Font directories:
/usr/local/share/fonts
/usr/local/lib/X11/fonts
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
fc-cache: succeeded
[113armv6-default-job-01] `-- Installing libXrender-0.9.10_2...
[113armv6-default-job-01] `-- Extracting libXrender-0.9.10_2: .......... done
[113armv6-default-job-01] `-- Installing png-1.6.37...
[113armv6-default-job-01] `-- Extracting png-1.6.37: .......... done
[113armv6-default-job-01] Extracting cairo-1.16.0,2: .......... done
===> hikari-1.1.0 depends on shared library: libcairo.so - found (/usr/local/lib/libcairo.so)
===> Returning to build of hikari-1.1.0
===> hikari-1.1.0 depends on shared library: libglib-2.0.so - found (/usr/local/lib/libglib-2.0.so)
===> hikari-1.1.0 depends on shared library: libintl.so - found (/usr/local/lib/libintl.so)
===> hikari-1.1.0 depends on shared library: libpango-1.0.so - not found
===> Installing existing package /packages/All/pango-1.42.4_3.txz
pkg-static: Warning: Major OS version upgrade detected. Running "pkg bootstrap -f" recommended
[113armv6-default-job-01] Installing pango-1.42.4_3...
[113armv6-default-job-01] `-- Installing encodings-1.0.5,1...
[113armv6-default-job-01] `-- Extracting encodings-1.0.5,1: .......... done
[113armv6-default-job-01] `-- Installing fribidi-0.19.7...
[113armv6-default-job-01] `-- Extracting fribidi-0.19.7: .......... done
[113armv6-default-job-01] `-- Installing harfbuzz-2.6.5...
[113armv6-default-job-01] | `-- Installing graphite2-1.3.14...
[113armv6-default-job-01] | `-- Extracting graphite2-1.3.14: .......... done
[113armv6-default-job-01] `-- Extracting harfbuzz-2.6.5: .......... done
[113armv6-default-job-01] `-- Installing libXft-2.3.3...
[113armv6-default-job-01] `-- Extracting libXft-2.3.3: .......... done
[113armv6-default-job-01] `-- Installing xorg-fonts-truetype-7.7_1...
[113armv6-default-job-01] | `-- Installing dejavu-2.37_1...
[113armv6-default-job-01] | | `-- Installing mkfontscale-1.2.1...
[113armv6-default-job-01] | | `-- Extracting mkfontscale-1.2.1: ....... done
[113armv6-default-job-01] | `-- Extracting dejavu-2.37_1: .......... done
[113armv6-default-job-01] | `-- Installing font-bh-ttf-1.0.3_4...
[113armv6-default-job-01] | `-- Extracting font-bh-ttf-1.0.3_4: .......... done
[113armv6-default-job-01] | `-- Installing font-misc-ethiopic-1.0.3_4...
[113armv6-default-job-01] | `-- Extracting font-misc-ethiopic-1.0.3_4: ... done
[113armv6-default-job-01] | `-- Installing font-misc-meltho-1.0.3_4...
[113armv6-default-job-01] | `-- Extracting font-misc-meltho-1.0.3_4: .......... done
[113armv6-default-job-01] Extracting pango-1.42.4_3: .......... done
=====
Message from dejavu-2.37_1:
--
Make sure that the freetype module is loaded. If it is not, add the following
line to the "Modules" section of your X Windows configuration file:
Load "freetype"
Add the following line to the "Files" section of X Windows configuration file:
FontPath "/usr/local/share/fonts/dejavu/"
Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
===> hikari-1.1.0 depends on shared library: libpango-1.0.so - found (/usr/local/lib/libpango-1.0.so)
===> Returning to build of hikari-1.1.0
===========================================================================
=>> Recording filesystem state for prebuild... done
=======================<phase: configure >============================
===> hikari-1.1.0 depends on package: evdev-proto>0 - found
===> hikari-1.1.0 depends on package: wayland-protocols>=1.14 - found
===> hikari-1.1.0 depends on package: wlroots>=0.9.0<0.11.0 - found
===> hikari-1.1.0 depends on package: pkgconf>=1.3.0_1 - found
===> hikari-1.1.0 depends on file: /usr/local/libdata/pkgconfig/pixman-1.pc - found
===> hikari-1.1.0 depends on shared library: libepoll-shim.so - found (/usr/local/lib/libepoll-shim.so)
===> hikari-1.1.0 depends on shared library: libinput.so - found (/usr/local/lib/libinput.so)
===> hikari-1.1.0 depends on shared library: libucl.so - found (/usr/local/lib/libucl.so)
===> hikari-1.1.0 depends on shared library: libwayland-server.so - found (/usr/local/lib/libwayland-server.so)
===> hikari-1.1.0 depends on shared library: libwlroots.so - found (/usr/local/lib/libwlroots.so)
===> hikari-1.1.0 depends on shared library: libxkbcommon.so - found (/usr/local/lib/libxkbcommon.so)
===> hikari-1.1.0 depends on shared library: libcairo.so - found (/usr/local/lib/libcairo.so)
===> hikari-1.1.0 depends on shared library: libglib-2.0.so - found (/usr/local/lib/libglib-2.0.so)
===> hikari-1.1.0 depends on shared library: libintl.so - found (/usr/local/lib/libintl.so)
===> hikari-1.1.0 depends on shared library: libpango-1.0.so - found (/usr/local/lib/libpango-1.0.so)
===> Configuring for hikari-1.1.0
===========================================================================
=======================<phase: build >============================
===> Building for hikari-1.1.0
--- xdg-shell-protocol.h ---
--- wlr-layer-shell-unstable-v1-protocol.h ---
--- action.o ---
--- action_config.o ---
--- bindings.o ---
--- border.o ---
--- command.o ---
--- completion.o ---
--- xdg-shell-protocol.h ---
wayland-scanner server-header //usr/local/share/wayland-protocols/stable/xdg-shell/xdg-shell.xml xdg-shell-protocol.h
--- wlr-layer-shell-unstable-v1-protocol.h ---
wayland-scanner server-header protocol/wlr-layer-shell-unstable-v1.xml wlr-layer-shell-unstable-v1-protocol.h
--- action.o ---
/nxb-bin/usr/bin/cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -DNDEBUG -DHAVE_XWAYLAND=1 -DHAVE_GAMMACONTROL=1 -DHAVE_SCREENCOPY=1 -DHAVE_LAYERSHELL=1 -Wall -I. -Iinclude -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include/libdrm -I/usr/local/include/pixman-1 -D_THREAD_SAFE -pthread -DWLR_USE_UNSTABLE=1 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/harfbuzz -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/glib-2.0 -I/u--- action_config.o ---
/nxb-bin/usr/bin/cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -DNDEBUG -DHAVE_XWAYLAND=1 -DHAVE_GAMMACONTROL=1 -DHAVE_SCREENCOPY=1 -DHAVE_LAYERSHELL=1 -Wall -I. -Iinclude -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include/libdrm -I/usr/local/include/pixman-1 -D_THREAD_SAFE -pthread -DWLR_USE_UNSTABLE=1 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/harfbuzz -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/glib-2.0 -I/u--- bindings.o ---
/nxb-bin/usr/bin/cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -DNDEBUG -DHAVE_XWAYLAND=1 -DHAVE_GAMMACONTROL=1 -DHAVE_SCREENCOPY=1 -DHAVE_LAYERSHELL=1 -Wall -I. -Iinclude -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include/libdrm -I/usr/local/include/pixman-1 -D_THREAD_SAFE -pthread -DWLR_USE_UNSTABLE=1 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/harfbuzz -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/glib-2.0 -I/u--- border.o ---
/nxb-bin/usr/bin/cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -DNDEBUG -DHAVE_XWAYLAND=1 -DHAVE_GAMMACONTROL=1 -DHAVE_SCREENCOPY=1 -DHAVE_LAYERSHELL=1 -Wall -I. -Iinclude -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include/libdrm -I/usr/local/include/pixman-1 -D_THREAD_SAFE -pthread -DWLR_USE_UNSTABLE=1 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/harfbuzz -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/glib-2.0 -I/u--- action.o ---
sr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include -I/usr/local/include/ -c src/action.c -o action.o
--- action_config.o ---
sr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include -I/usr/local/include/ -c src/action_config.c -o action_config.o
--- bindings.o ---
sr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include -I/usr/local/include/ -c src/bindings.c -o bindings.o
--- border.o ---
sr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include -I/usr/local/include/ -c src/border.c -o border.o
--- command.o ---
/nxb-bin/usr/bin/cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -DNDEBUG -DHAVE_XWAYLAND=1 -DHAVE_GAMMACONTROL=1 -DHAVE_SCREENCOPY=1 -DHAVE_LAYERSHELL=1 -Wall -I. -Iinclude -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include/libdrm -I/usr/local/include/pixman-1 -D_THREAD_SAFE -pthread -DWLR_USE_UNSTABLE=1 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/harfbuzz -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include -I/usr/local/include/ -c src/command.c -o command.o
--- completion.o ---
/nxb-bin/usr/bin/cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -DNDEBUG -DHAVE_XWAYLAND=1 -DHAVE_GAMMACONTROL=1 -DHAVE_SCREENCOPY=1 -DHAVE_LAYERSHELL=1 -Wall -I. -Iinclude -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include/libdrm -I/usr/local/include/pixman-1 -D_THREAD_SAFE -pthread -DWLR_USE_UNSTABLE=1 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/harfbuzz -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include -I/usr/local/include/ -c src/completion.c -o completion.o
--- configuration.o ---
/nxb-bin/usr/bin/cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -DNDEBUG -DHAVE_XWAYLAND=1 -DHAVE_GAMMACONTROL=1 -DHAVE_SCREENCOPY=1 -DHAVE_LAYERSHELL=1 -Wall -I. -Iinclude -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include/libdrm -I/usr/local/include/pixman-1 -D_THREAD_SAFE -pthread -DWLR_USE_UNSTABLE=1 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/harfbuzz -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include -I/usr/local/include/ -c src/configuration.c -o configuration.o
--- decoration.o ---
/nxb-bin/usr/bin/cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -DNDEBUG -DHAVE_XWAYLAND=1 -DHAVE_GAMMACONTROL=1 -DHAVE_SCREENCOPY=1 -DHAVE_LAYERSHELL=1 -Wall -I. -Iinclude -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include/libdrm -I/usr/local/include/pixman-1 -D_THREAD_SAFE -pthread -DWLR_USE_UNSTABLE=1 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/harfbuzz -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include -I/usr/local/include/ -c src/decoration.c -o decoration.o
--- exec.o ---
/nxb-bin/usr/bin/cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -DNDEBUG -DHAVE_XWAYLAND=1 -DHAVE_GAMMACONTROL=1 -DHAVE_SCREENCOPY=1 -DHAVE_LAYERSHELL=1 -Wall -I. -Iinclude -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include/libdrm -I/usr/local/include/pixman-1 -D_THREAD_SAFE -pthread -DWLR_USE_UNSTABLE=1 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/harfbuzz -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include -I/usr/local/include/ -c src/exec.c -o exec.o
--- font.o ---
/nxb-bin/usr/bin/cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -DNDEBUG -DHAVE_XWAYLAND=1 -DHAVE_GAMMACONTROL=1 -DHAVE_SCREENCOPY=1 -DHAVE_LAYERSHELL=1 -Wall -I. -Iinclude -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include/libdrm -I/usr/local/include/pixman-1 -D_THREAD_SAFE -pthread -DWLR_USE_UNSTABLE=1 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/harfbuzz -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include -I/usr/local/include/ -c src/font.c -o font.o
--- geometry.o ---
/nxb-bin/usr/bin/cc -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -DNDEBUG -DHAVE_XWAYLAND=1 -DHAVE_GAMMACONTROL=1 -DHAVE_SCREENCOPY=1 -DHAVE_LAYERSHELL=1 -Wall -I. -Iinclude -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include/libdrm -I/usr/local/include/pixman-1 -D_THREAD_SAFE -pthread -DWLR_USE_UNSTABLE=1 -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/harfbuzz -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -D_THREAD_SAFE -pthread -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include -I/usr/local/include -I/usr/local/include/libepoll-shim -I/usr/local/lib/libffi-3.2.1/include -I/usr/local/include -I/usr/local/include/ -c src/geometry.c -o geometry.o
--- decoration.o ---
In file included from src/decoration.c:1:
In file included from include/hikari/decoration.h:6:
In file included from /usr/local/include/wlr/types/wlr_xdg_decoration_v1.h:5:
/usr/local/include/wlr/types/wlr_xdg_shell.h:54:29: error: field has incomplete type 'enum xdg_positioner_anchor'
enum xdg_positioner_anchor anchor;
^
/usr/local/include/wlr/types/wlr_xdg_shell.h:54:7: note: forward declaration of 'enum xdg_positioner_anchor'
enum xdg_positioner_anchor anchor;
^
/usr/local/include/wlr/types/wlr_xdg_shell.h:55:30: error: field has incomplete type 'enum xdg_positioner_gravity'
enum xdg_positioner_gravity gravity;
^
/usr/local/include/wlr/types/wlr_xdg_shell.h:55:7: note: forward declaration of 'enum xdg_positioner_gravity'
enum xdg_positioner_gravity gravity;
^
/usr/local/include/wlr/types/wlr_xdg_shell.h:56:44: error: field has incomplete type 'enum xdg_positioner_constraint_adjustment'
enum xdg_positioner_constraint_adjustment constraint_adjustment;
^
/usr/local/include/wlr/types/wlr_xdg_shell.h:56:7: note: forward declaration of 'enum xdg_positioner_constraint_adjustment'
enum xdg_positioner_constraint_adjustment constraint_adjustment;
^
3 errors generated.
*** [decoration.o] Error code 1
make[1]: stopped in /wrkdirs/usr/ports/x11-wm/hikari/work/hikari-1.1.0
1 error
make[1]: stopped in /wrkdirs/usr/ports/x11-wm/hikari/work/hikari-1.1.0
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1
Stop.
make: stopped in /usr/ports/x11-wm/hikari
=>> Cleaning up wrkdir
===> Cleaning for hikari-1.1.0
build of x11-wm/hikari | hikari-1.1.0 ended at Fri May 1 14:11:10 EDT 2020
build time: 00:00:42
!!! build failure encountered !!!

Event Timeline

jbeich edited the content of this paste. (Show Details)May 1 2020, 6:37 PM
jbeich changed the title of this paste from untitled to x11-wm/hikari: 1.1.0 error on 11.3 armv6.